Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Asynch_Transmit_File_Result_Impl Class Reference

Abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Transmit_File::Result. More...

`#include <Asynch_IO_Impl.h>`

Inheritance diagram for ACE_Asynch_Transmit_File_Result_Impl:

[legend]
Collaboration diagram for ACE_Asynch_Transmit_File_Result_Impl:

[legend]
List of all members.

## Public Member Functions
virtual | ~ACE_Asynch_Transmit_File_Result_Impl (void)
virtual ACE_HANDLE | socket (void) const =0
| Socket used for transmitting the file.
virtual ACE_HANDLE | file (void) const =0
| File from which the data is read.
virtual ACE_Asynch_Transmit_File::Header_And_Trailer * | header_and_trailer (void) const =0
| Header and trailer data associated with this transmit file.
virtual size_t | bytes_to_write (void) const =0
virtual size_t | bytes_per_send (void) const =0
virtual u_long | flags (void) const =0
| Flags which were passed into transmit file.
## Protected Member Functions
| ACE_Asynch_Transmit_File_Result_Impl (void)
| Do-nothing constructor.

## Detailed Description

Abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Transmit_File::Result.

## Constructor & Destructor Documentation

ACE_Asynch_Transmit_File_Result_Impl::~ACE_Asynch_Transmit_File_Result_Impl | ( | void |  | ) | `[virtual]`

ACE_INLINE ACE_Asynch_Transmit_File_Result_Impl::ACE_Asynch_Transmit_File_Result_Impl | ( | void |  | ) | `[protected]`

| Do-nothing constructor.

## Member Function Documentation

virtual size_t ACE_Asynch_Transmit_File_Result_Impl::bytes_per_send | ( | void |  | ) | const`[pure virtual]`

| Number of bytes per send requested at the start of the transmit file. Implemented in ACE_POSIX_Asynch_Transmit_File_Result, and ACE_WIN32_Asynch_Transmit_File_Result.

virtual size_t ACE_Asynch_Transmit_File_Result_Impl::bytes_to_write | ( | void |  | ) | const`[pure virtual]`

| The number of bytes which were requested at the start of the asynchronous transmit file. Implemented in ACE_POSIX_Asynch_Transmit_File_Result, and ACE_WIN32_Asynch_Transmit_File_Result.

virtual ACE_HANDLE ACE_Asynch_Transmit_File_Result_Impl::file | ( | void |  | ) | const`[pure virtual]`

| File from which the data is read. Implemented in ACE_POSIX_Asynch_Transmit_File_Result, and ACE_WIN32_Asynch_Transmit_File_Result.

virtual u_long ACE_Asynch_Transmit_File_Result_Impl::flags | ( | void |  | ) | const`[pure virtual]`

| Flags which were passed into transmit file. Implemented in ACE_POSIX_Asynch_Transmit_File_Result, and ACE_WIN32_Asynch_Transmit_File_Result.

virtual ACE_Asynch_Transmit_File::Header_And_Trailer* ACE_Asynch_Transmit_File_Result_Impl::header_and_trailer | ( | void |  | ) | const`[pure virtual]`

| Header and trailer data associated with this transmit file. Implemented in ACE_POSIX_Asynch_Transmit_File_Result, and ACE_WIN32_Asynch_Transmit_File_Result.

virtual ACE_HANDLE ACE_Asynch_Transmit_File_Result_Impl::socket | ( | void |  | ) | const`[pure virtual]`

| Socket used for transmitting the file. Implemented in ACE_POSIX_Asynch_Transmit_File_Result, and ACE_WIN32_Asynch_Transmit_File_Result.

The documentation for this class was generated from the following files:

- Asynch_IO_Impl.h
- Asynch_IO_Impl.cpp
- Asynch_IO_Impl.inl